//		ＡＩＧライブラリ　リソース関数
//		Copyright (C) 1993,94 by AIG-SOFT

#ifndef	__AIG_RES__
#define	__AIG_RES__	1

#include <stdio.h>
#include "deftype.h"


#define	TRESMAX	128		/* リソース１行長さ */
#define	TRESWRK	(TRESMAX*4)	/* リソース名記録バッファー拡大サイズ */

/* テキストリソース構造体 */
typedef struct {
	FILE	*fp;		/* このリソースファイルポインター */
	long	top;		/* リソース本体先頭シークポイント */
	long	cseek;		/* 現在アクセス中のリソースの先頭位置 */
	unchar	cres[TRESMAX];	/* 現在アクセス中のリソース名 */
} TRES;


#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif
#ifdef	__PROTO_TYPE
	/* テキストリソース関数 */
	int	OpenTResource(unchar *,TRES *);
	int	CloseTResource(TRES *);
	int	SeekTResource(TRES *,unchar *);
	int	SizeTResource(TRES *,unchar *,int *);
	int	GetTResource(TRES *,unchar *,unchar *,int *);
	int	Get1TResource(TRES *,unchar *,unchar *,int );
	int	NamesTResource(TRES *tres,unchar *(*));
#else
	/* テキストリソース関数 */
	int	OpenTResource();
	int	CloseTResource();
	int	SeekTResource();
	int	SizeTResource();
	int	GetTResource();
	int	Get1TResource();
	int	NamesTResource();
#endif
#ifdef	__cplusplus
}
#endif

#endif
